Unit tde50e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, DE50E_p;

function tde50e: String;

implementation

function tde50e: String;
var
NX,IMAX,N,I,IK,IERR :Integer;
XN,XK,EPS,H,X :Extended;
CN :Array [0..2] of Extended;
CK :Array [0..2] of Extended;
F :Array [0..199] of Extended;
G :Array [0..199] of Extended;
R :Array [0..199] of Extended;
YX :Array [0..199] of Extended;
DELTY :Array [0..199] of Extended;
RAB :Array [0..1599] of Extended;
Y :Array [0..199] of Extended;
YR :Array [0..199] of Extended;
label
_1,_2;
begin
Result := '';  {   }
XN := -1.e0;
XK := 1.e0;
NX := 200;
CN[0] := 1.e0;
CN[1] := -2.e0;
CN[2] := 0.e0;
CK[0] := 1.e0;
CK[1] := 2.e0;
CK[2] := 0.e0;
IMAX := 4;
EPS := 0.00001e0;
N := NX-1;
H := (XK-XN)/(N);
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  F[I-1] := IntPower(X,2);
  G[I-1] := X;
  R[I-1] := 10.e0*Exp(-IntPower(X,2))*(2.e0*IntPower(X,2)-1.e0)*(2.e0-X);
_1:
 end;
DE50E(NX,XN,XK,CN,CK,F,G,R,EPS,IMAX,YX,IK,DELTY,RAB,IERR);
Result := Result + Format('%s',['     IK']);
Result := Result + Format('%8d ',[IK]) + #$0D#$0A;
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  Y[I-1] := 10.e0*Exp(-IntPower(X,2));
  YR[I-1] := YX[I-1]-Y[I-1];
  Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f ',
 [X,YX[I-1],Y[I-1],YR[I-1]]) + #$0D#$0A;
_2:
 end;
UtRes('tde50e',Result);  {     tde50e.res }
exit;
end;

end.
